<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/dados.php");
	require_once($dir."/classes/Rota.class.php");
	require_once($dir."/classes/Usuario.class.php");
	require_once($dir."/dao/RotaDAO.class.php");
	
	$dados = new Dados();
	
	$rota = new Rota();
	$rota->getVendedor()->setCodvendedor($_POST['codvendedor']);
	$rota->setNroRota($_POST['nrorota']);
	$rota->setDiaSemana($_POST['diasemana']);	
	
	$usuario = $dados->fixObject($_SESSION["usuario"]);	
	if ($usuario->getVendedor()->getCodVendedor() != "" ) {
		if ($usuario->getVendedor()->getTipo() == 'S')
			$rota->getVendedor()->setCodsupervisor($usuario->getVendedor()->getCodVendedor());
		else {
			if ($usuario->getVendedor()->getTipo() != 'E') //se não for gerente
				$rota->getVendedor()->setCodvendedor($usuario->getVendedor()->getCodVendedor());
		}
	}
	
	$inicio = $_POST['inicio'];
	$qtde = $_POST['qtde'];
	
	$NotInicio = $inicio > 0;
	
	if ($NotInicio) {
		$inicio--;
	}
	
	$rotaDAO = new RotaDAO();
	$rotas = $rotaDAO->rotas_diarias($rota, $inicio, $qtde);
	$rotaTot = $rota;
	
	$qtdeRegistros = count($rotas);
	if ($qtdeRegistros <= 0) {
		return;
	}
	
	if ($NotInicio) {
		$agrupVend = $rotas[0]->getVendedor()->getCodVendedor();
		$agrupRota = $agrupVend.$rotas[0]->getNroRota();
		$agrupDia = $agrupRota.$rotas[0]->getDiaSemana();
		unset($rotas[0]);
	} else {
		$agrupVend = '';
		$agrupRota = '';
		$agrupDia = '';
	}
	
	$result = '';
	foreach($rotas as $rota){
		$vendedor = $rota->getVendedor();
		$codVendedor = $vendedor->getCodvendedor();
		$nroRota = $rota->getNroRota();
		$diaSemana = $rota->getDiaSemana();
		
		if ($agrupVend != $codVendedor){
			$result .= "<tr id='agrup".$codVendedor."' style='background-color:blue;'><td></td><td><b>".$vendedor->getNome()."</b></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>";
			$agrupVend = $codVendedor;
		}
		if ($agrupRota != $codVendedor.$nroRota){
			$result .= "<tr id='agrup".$codVendedor."rota".$nroRota."' style='background-color:#1E90FF;'><td></td><td><b>".$rota->getDescricao()."</b></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>";
			$agrupRota = $codVendedor.$nroRota;
		}
		if ($agrupDia != $agrupRota.$diaSemana){
			$result .= "<tr id='agrup".$codVendedor."rota".$nroRota."dia".$diaSemana."' style='background-color:#00BFFF;'><td></td><td><b>".$rota->getSemana()."</b></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>";
			$agrupDia = $agrupRota.$diaSemana;
		}
		
		$cliente = $rota->getCliente();
		
		$result .= 
			"<tr><td style='text-align: left;'>".$rota->getOrdem()."</td>".
			"<td style='text-align: left;'>".$cliente->getNome()."</td>".
			"<td>".$cliente->getFantasia()."</td>".
			"<td>".$cliente->getEndereco()."</td>".
			"<td>".$cliente->getBairro()."</td>".
			"<td>".$cliente->getCidade()."</td>".
			"<td>".$dados->formatarNumero($cliente->getCreditoCliente())."</td>".
			"<td>".$dados->formatarNumero($cliente->getLimiteCredito())."</td>".
			"<td>".$rota->getDataUltVisita()."</td>".
			"<td>".$dados->formatarNumero($rota->getValUltVisita())."</td>";
		$sitUtlVis = $rota->getSitUltVisita();
		if ($sitUtlVis == 'Positivo'){
			$result .= "<td style='background-color:green;'>".$sitUtlVis."</td></tr>";
		}else if ($sitUtlVis == 'Negativo'){
			$result .= "<td style='background-color:red;'>".$sitUtlVis."</td></tr>";
		}else{
			$result .= "<td>".$sitUtlVis."</td></tr>";
		}
	}	
	
	if ($qtdeRegistros < $qtde) {	
		$total = $rotaDAO->rotas_diarias_total($rotaTot);
		$result .= "<tr style='background-color: green;font-weight: bold;'>".
				"  <td></td>".
				"  <td>Total de Registros: ".$total."</td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"</tr>";	
		
		$result .= "<tr class='final-tabela'><td></td><td></td><td></td><td></td><td></td></tr>";
	}
	
	echo $result;		
	
?>
